import 'package:json_annotation/json_annotation.dart';

part 'haptic_settings.g.dart';

enum HapticLevel { off, reduced, full }

@JsonSerializable()
class HapticSettings {
  HapticLevel level;

  HapticSettings({required this.level});

  factory HapticSettings.fromJson(Map<String, dynamic> json) =>
      _$HapticSettingsFromJson(json);
  Map<String, dynamic> toJson() => _$HapticSettingsToJson(this);
}
